%define menuname <naam pakket eerste letter een hoodletter voor in menu>
%define menusection <zie menu mandriva bestand>

Name:           <naam pakket>
Summary:        <korte beschrijving>
Version:        <versienummer pakket>
Release:        1.102mcnl
Vendor:         Mandrivaclub.nl
URL:		<waar te vinden op internet>
License:        GPL <licentie meestal GPL maar wel belangrijk om uit te zoeken>
Group:          <zie groups mandriva bestand>
Packager:       <eigen naam en <e-mail adres>>

Source0:        %{name}-%{version}.tar.bz2

BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-buildroot 

BuildRequires:  <wat is er nodig om de build te kunnen maken>
Requires:	<wat MOET er genstalleerd zijn voor gebruik>

%description
<beschrijving/ uitleg van het pakket en wat het doet>

%prep
rm -rf %{buildroot}
%setup -q -n <naam directory in de tar file>

%build
 
%configure
%make

%install
rm -rf %{buildroot}
%makeinstall

#icons
%define  nameicon plaats/icoon.png
mkdir -p -m755 %{buildroot}{%_liconsdir,%_iconsdir,%_miconsdir}
convert -scale 48x48 %{nameicon} %{buildroot}/%{_liconsdir}/%{name}.png
convert -scale 32x32 %{nameicon} %{buildroot}/%{_iconsdir}/%{name}.png
convert -scale 16x16 %{nameicon} %{buildroot}/%{_miconsdir}/%{name}.png

# Menu
# Every entry must be changed according package specfications
# Pay attention to "section" "command" and "longtitle"
# Use the macros at the head of this file to change the values.
mkdir -p %buildroot/%_menudir
cat > %buildroot/%_menudir/%name << EOF
?package(%menuname): \
command="%_bindir/%name" \
needs="X11" \
icon="%name.png" \
section="%menusection" \
title="%name" \
longtitle="%summary"
EOF


%post
%update_menus

%postun
%clean_menus

%clean 
rm -rf $RPM_BUILD_ROOT 

%files 
%defattr(-,root,root) 
%doc README COPYING AUTHORS
%_menudir/*
%_iconsdir/*
%{_bindir}/*
%{_datadir}/*

%changelog 

*Sat Jun 18 2005 Naam packager <e-mail packager> versie-release
uitleg van de veranderingen


